* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
  font-family: 'Rubik', sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #f8fbdd;
  height: 9.6rem;
  padding: 0 4.8rem;
}

.logo {
  height: 6.4rem;
}

.main-nav-list {
  list-style: none;
  align-items: center;
  display: flex;
  gap: 3.2rem;
}

.main-nav-link:link,
.main-nav-link:visited {
  display: inline-block;
  text-decoration: none;
  font-size: 2.2rem;
  font-weight: 500;
  color: #1a7503;
  transition: all 0.3s;
}

.main-nav-link:hover,
.main-nav-link:active {
  color: #cf711f;
}

.section-intro {
  background-color: #f8fbdd;
  padding: 4.8rem 0 9.6rem 0;
}

.intro {
  max-width: 130rem;
  margin: 0 auto;
  padding: 0 3.2rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 9.6rem;
  align-items: center;
}

.heading-primary {
  font-size: 5.2rem;
  font-weight: 700;
  line-height: 1.05;
  color: #333;
  letter-spacing: -0.5px;
  margin-bottom: 3.2rem;
}

.intro-description {
  font-size: 2rem;
  line-height: 1.5;
  margin-bottom: 4.8rem;
}

.intro-img {
  width: 100%;
}

/* SLIDER */
.slider {
  max-width: 100rem;
  height: 50rem;
  margin: 0 auto;
  position: relative;

  /* IN THE END */
  overflow: hidden;
}

.slide {
  position: absolute;
  top: 0;
  width: 100%;
  height: 50rem;

  display: flex;
  align-items: center;
  justify-content: center;

  /* THIS creates the animation! */
  transition: transform 1s;
}

.slide > img {
  /* Only for images that have different size than slide */
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.slider-btn {
  position: absolute;
  top: 50%;
  z-index: 10;

  border: none;
  background: rgba(255, 255, 255, 0.7);
  font-family: inherit;
  color: #333;
  border-radius: 50%;
  height: 5.5rem;
  width: 5.5rem;
  font-size: 3.25rem;
  cursor: pointer;
}

.slider-btn-left {
  left: 6%;
  transform: translate(-50%, -50%);
}

.slider-btn-right {
  right: 6%;
  transform: translate(50%, -50%);
}

.dots {
  position: absolute;
  bottom: 5%;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
}

.dots-dot {
  border: none;
  background-color: #b9b9b9;
  opacity: 0.7;
  height: 1rem;
  width: 1rem;
  border-radius: 50%;
  margin-right: 1.75rem;
  cursor: pointer;
  transition: all 0.5s;

  /* Only necessary when overlying images */
  /* box-shadow: 0 0.6rem 1.5rem rgba(0, 0, 0, 0.7); */
}

.dots-dot:last-child {
  margin: 0;
}

.dots-dot-active {
  /* background-color: #fff; */
  background-color: #888;
  opacity: 1;
}

.btn:link,
.btn:visited {
  display: inline-block;
  font-size: 2.5rem;
  font-weight: 600;
  padding: 1.6rem 3.2rem;
  text-decoration: none;
  border-radius: 10px;
  transition: all 0.3s;
}

.btn-full:link,
.btn-full:visited {
  background-color: #1a7503;
  color: #fff;
}

.btn-full:hover,
.btn-full:active {
  background-color: #cf711f;
  box-shadow: inset 0 0 0 3px #fff;
}

.btn-outline:link,
.btn-outline:visited {
  background-color: #fff;
  color: #555;
}

.btn-outline:hover,
.btn-outline:active {
  background-color: #cf711f;
  box-shadow: inset 0 0 0 3px #fff;
  color: #fff;
}

.margin-right-sm {
  margin-right: 1.6rem;
}

.section-about {
  padding: 9.6rem 0;
}

.container {
  max-width: 120rem;
  margin: 0 auto;
  padding: 0 3.2rem;
}

.grid {
  display: grid;
  gap: 9.6rem;
}

.grid-2-cols {
  grid-template-columns: repeat(2, 1fr);
}

.grid-3-cols {
  grid-template-columns: repeat(3, 1fr);
}

.grid-4-cols {
  grid-template-columns: repeat(4, 1fr);
}

.step-img {
  width: 70%;
}
